## welcome2l 3.04

=== Makefile ===
SHELL=/bin/sh
CC = gcc
CFLAGS = -Wall -O2 -fno-strength-reduce #-pedantic 
DESTDIR = /usr/local
INSTALL_BINPATH = $(DESTDIR)/bin
INSTALL_MANPATH = $(DESTDIR)/man
PROGNAME = Welcome2L
PROGNAME_LNK = welcome2l
VERSION = 3.04
VERSION_DATE = 1999
RPM_RELEASE = 1
RPM_BUILDPATH = /usr/src/redhat
#RPM_ICONNAME = 


$(PROGNAME): main.o ansi.o 	     
	$(CC) $(CFLAGS) -v *.o -o $(PROGNAME)
	strip ./$(PROGNAME)	

install : 
	/usr/bin/install -s -m 755 $(PROGNAME) $(INSTALL_BINPATH)
	/usr/bin/install -m 644 $(PROGNAME).1 $(INSTALL_MANPATH)/man1
	ln -fs $(PROGNAME) $(INSTALL_BINPATH)/$(PROGNAME_LNK)
	ln -fs $(PROGNAME).1 $(INSTALL_MANPATH)/man1/$(PROGNAME_LNK).1

uninstall : 
	rm -f $(INSTALL_BINPATH)/$(PROGNAME)
	rm -f $(INSTALL_BINPATH)/$(PROGNAME_LNK)
	rm -f $(INSTALL_MANPATH)/man1/$(PROGNAME).1
	rm -f $(INSTALL_MANPATH)/man1/$(PROGNAME_LNK).1

.c.o:   
	$(CC) -c $(CFLAGS) $<

main.o:  main.c version.h ansi/*.h



version.h : FORCE	
	@echo "/* this header is automatically generated */" > version.h
	@echo "/* and recreated for each new compilation */" >> version.h
	@echo "#define PROG_NAME \"$(PROGNAME)\"" >> version.h
	@echo "#define PROG_FULL_NAME \"Welcome to Linux\"">>version.h
	@echo "#define PROG_AUTHOR \"Jean-Marc Jacquet <jm@littleigloo.org>\"">>version.h
	@echo "#define LITTLEIGLOO \"Little Igloo - http://www.littleigloo.org\"">>version.h
	@echo "#define PROG_VERSION \"$(VERSION)\"" >> version.h
	@echo "#define VERSION_DATE \"$(VERSION_DATE)\"">> version.h
	@echo "#define COMPILE_DATE \"`date +%D`\"" >> version.h
	@echo "#define COMPILE_TIME \"`date +%T`\"" >> version.h
	@echo "#define COMPILE_BY \"`whoami`\"" >> version.h
	@echo "#define COMPILE_HOST \"`hostname`\"" >> version.h
	@echo "#define CC_VERSION \"`$(CC) -v 2>&1 | tail -1`\"">>version.h
	@echo "#define CODE_LINES `cat *.c *.h | grep -ch -e \"[[:alpha:]|[:punct:]]\"`">>version.h

FORCE:	

clean: dist_clean
	rm -f $(PROGNAME) *.o version.h

dist_clean:
	rm -f *~ core build/* 


###### ONLY FOR BUILDING DISTRIBUTION USAGE ##########

doc:
	@if test -x /usr/bin/pod2man; then \
	    touch distrib/$(PROGNAME).pod;\
	    pod2man distrib/$(PROGNAME).pod \
		--center="$(PROGNAME) User's Manual" \
		--release="$(PROGNAME) Version $(VERSION)" \
		> $(PROGNAME).1; \
	fi;

dist: $(PROGNAME) doc dist_clean
	rm -f build/*.tgz
	mkdir $(PROGNAME)-$(VERSION)
	mkdir $(PROGNAME)-$(VERSION)/ansi
	mkdir $(PROGNAME)-$(VERSION)/distrib
	mkdir $(PROGNAME)-$(VERSION)/screenshots
	cp screenshots/*.* $(PROGNAME)-$(VERSION)/screenshots
	cp ansi/*.* $(PROGNAME)-$(VERSION)/ansi
	cp distrib/*.* $(PROGNAME)-$(VERSION)/distrib
	cp *.c *.h *.lsm *.1\
	   AUTHORS BUGS ChangeLog COPYING INSTALL NEWS \
	   README TODO THANKS Makefile $(PROGNAME)-$(VERSION)
	tar cvf $(PROGNAME)-$(VERSION).src.tar $(PROGNAME)-$(VERSION)
	bzip2 -k $(PROGNAME)-$(VERSION).src.tar 
	mv $(PROGNAME)-$(VERSION).src.tar.bz2 build/
	gzip $(PROGNAME)-$(VERSION).src.tar 
	mv $(PROGNAME)-$(VERSION).src.tar.gz build/
	rm -f $(PROGNAME)-$(VERSION)/*.c $(PROGNAME)-$(VERSION)/*.h
	rm -Rf $(PROGNAME)-$(VERSION)/ansi
	cp $(PROGNAME) $(PROGNAME)-$(VERSION)/$(PROGNAME)
	tar cvf $(PROGNAME)-$(VERSION).bin.tar $(PROGNAME)-$(VERSION)
	bzip2 -k $(PROGNAME)-$(VERSION).bin.tar
	mv $(PROGNAME)-$(VERSION).bin.tar.bz2 build/
	gzip -9 $(PROGNAME)-$(VERSION).bin.tar
	mv $(PROGNAME)-$(VERSION).bin.tar.gz build/
	cp *.lsm build/
	rm -Rf $(PROGNAME)-$(VERSION)
	du -k build/*.*

rpm: dist 
	sed -e s,THIS_VERSION,$(VERSION), \
	    -e s,THIS_RPM_RELEASE,$(RPM_RELEASE), \
	    -e s,THIS_DATA_FILE,$(DATA_FILE), \
	    -e s,THIS_DATA_DIR,$(DATA_DIR), \
	    distrib/$(PROGNAME).spec > $(RPM_BUILDPATH)/SPECS/$(PROGNAME)-$(VERSION).spec
	cp -f build/$(PROGNAME)-$(VERSION).src.tar.gz $(RPM_BUILDPATH)/SOURCES
	#cp -f distrib/$(RPM_ICONNAME) $(RPM_BUILDPATH)/SOURCES
	rpm -ba --clean $(RPM_BUILDPATH)/SPECS/$(PROGNAME)-$(VERSION).spec
	mv $(RPM_BUILDPATH)/RPMS/i386/$(PROGNAME)-$(VERSION)-$(RPM_RELEASE)* build/
	mv $(RPM_BUILDPATH)/SRPMS/$(PROGNAME)-$(VERSION)-$(RPM_RELEASE)* build/

=== debian/changelog ===
welcome2l (3.04-28) unstable; urgency=medium

  * Build with debhelper v13.
  * Remove ancient preinst script (lintian).
  * Refresh 10_fix_ftbfs.patch with gbp pq import/export.
  * debian/control:
    + Fix lintian's 'odd-mark-in-description' tag;
    + Standards-Version: 4.5.0.

 -- Robert Luberda <robert@debian.org>  Sat, 15 Aug 2020 11:07:54 +0200

welcome2l (3.04-27.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix ftbfs with GCC-10. (Closes: #957928)

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Fri, 07 Aug 2020 18:02:07 +0100

welcome2l (3.04-27) unstable; urgency=medium

  * Switch to debhelper v11.
  * Enable all hardening flags.
  * Remove additional arguments from dh_installinit to avoid warning
    produced by update-rc.d during package installation.
  * debian/control:
    + switch priority of package to optional;
    + add `Rules-Requires-Root: no';
    + update Vcs-* fields for salsa migration;
    + Standards-Version: 4.2.0.

 -- Robert Luberda <robert@debian.org>  Sun, 05 Aug 2018 10:22:39 +0200

welcome2l (3.04-26) unstable; urgency=low

  * Update 00_Makefile.patch to use LDFLAGS instead of CFLAGS for
    final linking.
  * Introduce 08_reproducible_builds.patch which uses the output
    of dpkg-parsechangelog to define COMPILE_{DATE,TIME,BY,HOST}
    variables to make builds reproducible.
  * Remove redirection of stdin/stdout from cron.daily, that caused
    failures if systemctl from systemd was used to manage init scripts.
    Instead introduce 09_login_notty.patch to print the `Login on' line
    when either `-getty' or `-gettps' is given, even if welcome2l is
    not running on terminal (closes: #739399).
  * debian/rules: enable LFS support (lintian).
  * debian/control: Switch to DEP-5 format.
  * Standards-Version: 3.9.6.

 -- Robert Luberda <robert@debian.org>  Tue, 23 Jun 2015 08:26:11 +0200

welcome2l (3.04-25) unstable; urgency=low

  * Switch to debhelper v9 and tiny rules file.
  * debian/rules: Remove .pc/.dpkg-source-unapply file in configure
    target to fix broken behaviour of dpkg-buildpackage (see Bug#649521).
  * Refresh patches with gbp-pq import/export.
  * debian/control:
    + add VCS fields;
    + sort dependency fields with wrap-and-sort;
    + Standards-Version: 3.9.3 (no changes needed).

 -- Robert Luberda <robert@debian.org>  Sun, 26 Feb 2012 13:52:05 +0100

welcome2l (3.04-24) unstable; urgency=low

  * Switch to the `3.0 (quilt)' source format: split the previous Debian
    patch into patches 00 to 06.
  * 07_sprintf_ub.patch: Fix undefined behaviour bugs found by cppcheck.
    Hopefully this should fix crashes seen on Ubuntu (LP: #581505, #586216).
  * debian/init.d:
    + add Required-Start dependency for $remote_fs (lintian);
    + remove and run levels from Default-Stop, as the stop action does nothing;
    + use lsb logging functions.
  * debian/rules:
    + update debian/default at build time, use lsb_release for getting
      distributor info.
    + use dpkg-buildflags for getting CFLAGS/LDFLAGS;
    + call dh_auto_{configure,build,clean} commands;
    + provide build-{arch,indep} targets.
  * debian/preinst: replace ancient stuff with removal of stop scripts from rc0,
    rc1, and rc6.
  * Standards-Version: 3.9.1 (no changes).
  * Bump debhelper compat version to 8.
  * Replace suggestion on fonty to fonty-rg, update README.Debian for this.
  * Remove unneeded source.lintian-overrides, and use dh_lintian to install
    our overrides for binary package.

 -- Robert Luberda <robert@debian.org>  Sat, 19 Feb 2011 13:05:16 +0100

welcome2l (3.04-23) unstable; urgency=low

  * Add hurd-i386 to supported archs (closes: 482842).
  * Applied patch from Chris Lamb to fix bashisms in preinst (closes: 480618).
  * Fix invalid comments in man page (lintian).

 -- Robert Luberda <robert@debian.org>  Mon, 26 May 2008 20:14:31 +0200

welcome2l (3.04-22) unstable; urgency=low

  * Standards-Version: 3.7.3 (no changes).
  * Fix hyphens in man page (lintian).
  * Add copyright notice (lintian).
  * Add source lintian overrides file for non-standard architecture warning.

 -- Robert Luberda <robert@debian.org>  Sat, 19 Apr 2008 13:33:01 +0200

welcome2l (3.04-21) unstable; urgency=low

  * sysvinit no longer provides invoke-rc.d, remove unnecessary dependency
    on it (patch from Ubuntu).
  * Handle missing invoke-rc.d in the cron.daily script.
  * Standards-Version: 3.7.2 (no changes).
  * Bump debhelper compat version to 6.
  * Add LSB section to init.d script (lintian).
  * Fix the `debian-rules-ignores-make-clean-error' lintian warning.
  * Add the `Homepage:' field to debian/control.
  * Add debian/watch file.

 -- Robert Luberda <robert@debian.org>  Wed, 17 Oct 2007 00:22:15 +0200

welcome2l (3.04-20) unstable; urgency=low

  * debian/control: add kfreebsd-amd64 to the list of supported architectures.
    (closes: #361630).
  * main.c: fix `pointer targets differ in signedness' compiler warning.
  * Standards-Version: 3.6.2 (no changes).
  * debian/*: use debhelper v5.

 -- Robert Luberda <robert@debian.org>  Thu, 13 Apr 2006 22:08:56 +0200

welcome2l (3.04-19) unstable; urgency=low

  * debian/control: add kfreebsd-i386 to the list of supported architectures.
    (closes: #314284).
  * Removed lintian source override file.

 -- Robert Luberda <robert@debian.org>  Thu, 16 Jun 2005 22:49:08 +0200

welcome2l (3.04-18) unstable; urgency=low

  * debian/control: add amd64 to the list of supported architectures.
    (closes: #249403)
  * Add lintian source override file for `cvsignore-file-in-source'.

 -- Robert Luberda <robert@debian.org>  Sun, 23 May 2004 13:32:11 +0200

welcome2l (3.04-17) unstable; urgency=low

  * Read memory info from MemTotal line of /proc/meminfo, not from obsolete
    Mem line (closes: #230546).

 -- Robert Luberda <robert@debian.org>  Sun,  8 Feb 2004 20:01:07 +0100

welcome2l (3.04-16) unstable; urgency=low

  * main.c:
    + get memory information from /proc/meminfo. Previously it have been


=== debian/control ===
Source: welcome2l
Maintainer: Robert Luberda <robert@debian.org>
Section: misc
Priority: optional
Build-Depends: debhelper-compat (= 13), lsb-release
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: http://www.littleigloo.org/software_003.php3
Vcs-Git: https://salsa.debian.org/debian/welcome2l.git
Vcs-Browser: https://salsa.debian.org/debian/welcome2l/

Package: welcome2l
Architecture: alpha amd64 hurd-i386 i386 ia64 kfreebsd-amd64 kfreebsd-i386
Depends: lsb-base, ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Suggests: fonty-rg
Description: Linux ANSI boot logo
 This is a little program that may run at login time to produce nice
 ANSI login logo.
 .
 Welcome2L intends to produce  the best looking ANSI screens by making
 full usage of PC graphic characters.
 .
 Therefore an architecture able to display those characters (i386, Alpha with
 TGA adapter, ...) is required to use it.  And, even if it will work on larger
 screens, it will only produce 80 column ANSI screens.

=== debian/rules ===
#!/usr/bin/make -f

DH_AUTO_OPTIONS         := -v -Smakefile --parallel
DEB_BUILD_MAINT_OPTIONS := hardening=+all
DEB_CLAGS_MAINT_APPEND  := $(shell getconf LFS_CFLAGS) -Wall -Wextra
TDIR                    := debian/_tmp_
DEFFILE                 := debian/default

include /usr/share/dpkg/buildflags.mk

%:
	dh "$@"

$(DEFFILE): $(DEFFILE).in debian/rules
	@set -e; rm -f "$@";                     \
	distro="`lsb_release -is`" || :;         \
	echo "Setting $$distro in $@";           \
	sed -e "s/#DISTRO#/$${distro:-Debian}/g" \
	        < "$<" > "$@";                   \
	chmod 444 "$@"

override_dh_auto_build: $(DEFFILE)
	dh_auto_build $(DH_AUTO_OPTIONS) -- STRIP=:

override_dh_auto_install:
	dh_auto_install $(DH_AUTO_OPTIONS) --destdir=$(CURDIR)/debian/$(shell dh_listpackages)/usr -- \
	                STRIP=:         \
	                INSTALL_MANPATH='$$(DESTDIR)/share/man'
	
	@test -d $(TDIR) || mkdir $(TDIR)
	# make sure that INSTALL file wasn't changed
	echo '36cfee5f23009eb94f9fdd62ed767599  INSTALL' | md5sum -c
	@sed -e '14,140d' -e 's|/usr/local|/usr|g' < INSTALL > $(TDIR)/INSTALL

override_dh_auto_clean:
	dh_auto_clean $(DH_AUTO_OPTIONS)
	
	rm -rf $(TDIR) $(DEFFILE)

=== debian/watch ===
# control file for the uscan(1) tool
version=3
http://www.littleigloo.org/downloads_003.php3 \
	(?:.*/)Welcome2L-([\d\.]+.*)\.src\.tar\.(?:gz|bz2)

## welcome2l 3.05

=== Makefile ===
SHELL=/bin/sh
CFLAGS += -Wall -fno-strength-reduce #-pedantic
DESTDIR = /usr
INSTALL_BINPATH = $(DESTDIR)/bin
INSTALL_MANPATH = $(DESTDIR)/man
PROGNAME = Welcome2L
PROGNAME_LNK = welcome2l
VERSION = 3.05
VERSION_DATE = 2017

$(PROGNAME): main.o ansi.o 	     
	$(CC) $(LDFLAGS) *.o -o $(PROGNAME)

install : 
	/usr/bin/install -m 755 $(PROGNAME) $(INSTALL_BINPATH)
	/usr/bin/install -m 644 $(PROGNAME).1 $(INSTALL_MANPATH)/man1
	ln -fs $(PROGNAME) $(INSTALL_BINPATH)/$(PROGNAME_LNK)
	ln -fs $(PROGNAME).1 $(INSTALL_MANPATH)/man1/$(PROGNAME_LNK).1

uninstall : 
	rm -f $(INSTALL_BINPATH)/$(PROGNAME)
	rm -f $(INSTALL_BINPATH)/$(PROGNAME_LNK)
	rm -f $(INSTALL_MANPATH)/man1/$(PROGNAME).1
	rm -f $(INSTALL_MANPATH)/man1/$(PROGNAME_LNK).1

.c.o:   
	$(CC) -c $(CFLAGS) $<

main.o:  main.c version.h ansi/*.h



version.h : FORCE	
	@echo "/* this header is automatically generated */" > version.h
	@echo "/* and recreated for each new compilation */" >> version.h
	@echo "#define PROG_NAME \"$(PROGNAME)\"" >> version.h
	@echo "#define PROG_FULL_NAME \"Welcome to Linux\"">>version.h
	@echo "#define PROG_AUTHOR \"Jean-Marc Jacquet <jm@littleigloo.org>\"">>version.h
	@echo "#define LITTLEIGLOO \"Little Igloo - http://www.littleigloo.org\"">>version.h
	@echo "#define PROG_VERSION \"$(VERSION)\"" >> version.h
	@echo "#define VERSION_DATE \"$(VERSION_DATE)\"">> version.h
	@echo "#define COMPILE_DATE \"`date +%D`\"" >> version.h
	@echo "#define COMPILE_TIME \"`date +%T`\"" >> version.h
	@echo "#define COMPILE_BY \"`whoami`\"" >> version.h
	@echo "#define COMPILE_HOST \"`hostname`\"" >> version.h
	@echo "#define CC_VERSION \"`$(CC) -v 2>&1 | tail -n 1`\"">>version.h
	@echo "#define CODE_LINES `cat *.c *.h | grep -ch -e \"[[:alpha:]|[:punct:]]\"`">>version.h

FORCE:	

clean:
	rm -f $(PROGNAME) *.o version.h

=== debian/changelog ===
welcome2l (3.05-2) unstable; urgency=low

  * Fix FTBFS on Ubuntu: replace 'set -- $(shell cmd)' in debian/rules with
    'set -- $$(cmd)' to fix a failure occurring when the command's output
    include parenthesis.

 -- Robert Luberda <robert@debian.org>  Sun, 21 Jan 2024 00:38:54 +0100

welcome2l (3.05-1) unstable; urgency=low

  * New upstream version from new vendor at
    https://github.com/voyageur/welcome2l.
  * Drop all the patches, except for 08_reproducible_builds.patch, that is now
    renamed to 01-reproducible-builds.patch.
  * Update init.d and defaults files for the changed options parser: welcome2l
    command no longer accepts for example -scr4 -msg"text", but requires passing
    them separately, i.e. -scr 4 -msg "text", instead.
  * Update debian/rules for new version.
  * Add 02-fix-typo.patch to a fix a typo in binary, spotted by lintian.
  * Add 03-fix-gcc13-warnings.patch to fix compiler warnings.
  * Update Homepage URL in debian/control.
  * Update generation of debian/default for more accurate distribution info
    string that is finally passed to -msg option of welcome2l.
  * Add debian/NEWS for the options parsing change.

 -- Robert Luberda <robert@debian.org>  Sat, 20 Jan 2024 00:42:27 +0100

welcome2l (3.04-29) unstable; urgency=low

  [ Samuel Thibault ]
  * control: Add hurd-amd64 case.

  [ Robert Luberda ]
  * Update debian/watch to point to a forked project on github, as the
    original site no longer contains the package.
  * cron.daily: use 'command -v' instead of 'which'.
  * Sort package control files with 'wrap-and-sort' command.
  * debian/control:
    + Drop dependency on obsolete lsb-base package (lintian);
    + Standards-Version: 4.6.2 (no changes).

 -- Robert Luberda <robert@debian.org>  Mon, 15 Jan 2024 21:23:40 +0100

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,15 @@
 Section: misc
 Priority: optional
 Build-Depends: debhelper-compat (= 13), lsb-release
-Standards-Version: 4.5.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
-Homepage: http://www.littleigloo.org/software_003.php3
+Homepage: https://github.com/voyageur/welcome2l
 Vcs-Git: https://salsa.debian.org/debian/welcome2l.git
 Vcs-Browser: https://salsa.debian.org/debian/welcome2l/
 
 Package: welcome2l
-Architecture: alpha amd64 hurd-i386 i386 ia64 kfreebsd-amd64 kfreebsd-i386
-Depends: lsb-base, ${misc:Depends}, ${shlibs:Depends}
+Architecture: alpha amd64 hurd-amd64 hurd-i386 i386 ia64 kfreebsd-amd64 kfreebsd-i386
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Suggests: fonty-rg
 Description: Linux ANSI boot logo

=== debian/rules ===
#!/usr/bin/make -f

DH_AUTO_OPTIONS         := -v -Smakefile --parallel
DEB_BUILD_MAINT_OPTIONS := hardening=+all
DEB_CFLAGS_MAINT_APPEND := $(shell getconf LFS_CFLAGS) -Wall -Wextra
TDIR                    := debian/_tmp_
DEFFILE                 := debian/default

include /usr/share/dpkg/buildflags.mk

%:
	dh "$@"

# Set #DISTROMSG# in debian/defaults to for example 'Debian GNU/Linux'
# 'Debian GNU/Hurd', or 'Ubuntu Linux' with a few leading spaces to
# make the string appear centered when displayed by welcome2l.
$(DEFFILE): $(DEFFILE).in debian/rules
	@set -e; rm -f "$@";                                                   \
	set -- $$(lsb_release --short --description || :);                     \
	[ -n "$$2" -a "$${2#GNU/}" != "$$2" ] || set "$${1:-Debian}" Linux;    \
	distromsg=$$(echo "$$1 $$2"                                            \
	             | sed -e ':loop; s|^.\{1,23\}$$| & |; tloop; s| *$$||g'); \
	echo "Substituting \`#DISTROMSG#' in \`$@' with \`$$distromsg'";       \
	sed -e "s|#DISTROMSG#|$$distromsg|g" < "$<" > "$@";                    \
	chmod 444 "$@"

override_dh_auto_build: $(DEFFILE)
	dh_auto_build $(DH_AUTO_OPTIONS) -- CC=gcc CFLAGS+="$(CPPFLAGS)"

override_dh_auto_install:
	dh_auto_install $(DH_AUTO_OPTIONS) \
		--destdir=$(CURDIR)/debian/$(shell dh_listpackages)/usr -- \
	        INSTALL_MANPATH='$$(DESTDIR)/share/man'
	
	@test -d $(TDIR) || mkdir $(TDIR)
	# make sure that INSTALL file wasn't changed
	echo '8a200ad70ad278e894fd6a073acff7ea  INSTALL' | md5sum -c
	@sed -e '14,140d' -e 's|/usr/local|/usr|g' < INSTALL > $(TDIR)/INSTALL

override_dh_auto_clean:
	dh_auto_clean $(DH_AUTO_OPTIONS)
	
	rm -rf $(TDIR) $(DEFFILE)

=== debian/watch ===
# control file for the uscan(1) tool
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
https://github.com/voyageur/@PACKAGE@/tags \
      (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
